# $Revision: 1.26 $, $Date: 2008-04-07 11:40:37 $
# TODO
# - kill -O overriding our optflags
#
# Conditional build:
%bcond_with	tests	# enable tests (whatever they check)
%bcond_without	gnomeui		# disable gnomeui support
%bcond_without	gnomevfs	# disable GNOME comp. (gconf+libgnome+gnomevfs) and gnomevfs ext.
%bcond_without	gnome		# disable all GNOME components (gnome+gnomeui+gnomevfs)
#
%if %{without gnome}
%undefine	with_gnomeui
%undefine	with_gnomevfs
%endif
#
Summary:	Mozilla Sunbird - standalone calendar application
Summary(pl.UTF-8):	Mozilla Sunbird - samodzielny kalendarz
Name:		mozilla-sunbird
Version:	0.8
Release:	1
License:	MPL/LGPL
Group:		X11/Applications/Networking
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/calendar/sunbird/releases/%{version}/source/lightning-sunbird-%{version}-source.tar.bz2
# Source0-md5:	b432234e9a2b04710543df72ed88e383
Source1:	%{name}.sh
Source2:	%{name}.desktop
Patch0:		mozilla-install.patch
URL:		http://www.mozilla.org/projects/sunbird/
%{?with_gnomevfs:BuildRequires:	GConf2-devel >= 1.2.1}
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.2.0
BuildRequires:	freetype-devel
%{?with_gnomevfs:BuildRequires:	gnome-vfs2-devel >= 2.0}
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libIDL-devel >= 0.8.0
%{?with_gnomevfs:BuildRequires:	libgnome-devel >= 2.0}
%{?with_gnomeui:BuildRequires:	libgnomeui-devel >= 2.2.0}
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 1.2.7
BuildRequires:	libstdc++-devel
BuildRequires:	nspr-devel >= 1:4.6.3
BuildRequires:	nss-devel >= 1:3.11.3-3
BuildRequires:	pango-devel >= 1:1.6.0
BuildRequires:	perl-modules >= 5.004
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel >= 2.1
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXp-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	zip
BuildRequires:	zlib-devel >= 1.2.3
Requires:	cairo >= 1.2.0
Requires:	nspr >= 1:4.6.3
Requires:	nss >= 1:3.11.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# firefox/thunderbird/seamonkey/sunbird provide their own versions
%define		_noautoreqdep		libgkgfx.so libgtkxtbin.so libxpcom_compat.so libxpcom_core.so libgfxpsshar.so libxpistub.so
%define		_noautoprovfiles	%{_libdir}/%{name}/components
# we don't want these to satisfy xulrunner-devel
%define		_noautoprov		libgtkembedmoz.so libmozjs.so libxpcom.so
# and as we don't provide them, don't require either
%define		_noautoreq		%{_noautoprov}

%define		specflags	-fno-strict-aliasing

%description
The Sunbird Project is a cross platform standalone calendar
application based on Mozilla's XUL user interface language.

%description -l pl.UTF-8
Projekt Sunbird to wieloplatformowa aplikacja bedąca samodzielnym
kalendarzem, oparta na języku interfejsu użytkownika XUL.

%prep
%setup -q -c
cd mozilla
%patch0 -p1

%build
cd mozilla
cat << 'EOF' > .mozconfig
mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/obj-%{_target_cpu}
ac_cv_visibility_pragma=no

# Options for 'configure' (same as command-line options).
ac_add_options --prefix=%{_prefix}
ac_add_options --exec-prefix=%{_exec_prefix}
ac_add_options --bindir=%{_bindir}
ac_add_options --sbindir=%{_sbindir}
ac_add_options --sysconfdir=%{_sysconfdir}
ac_add_options --datadir=%{_datadir}
ac_add_options --includedir=%{_includedir}
ac_add_options --libdir=%{_libdir}
ac_add_options --libexecdir=%{_libexecdir}
ac_add_options --localstatedir=%{_localstatedir}
ac_add_options --sharedstatedir=%{_sharedstatedir}
ac_add_options --mandir=%{_mandir}
ac_add_options --infodir=%{_infodir}
%if %{?debug:1}0
ac_add_options --disable-optimize
ac_add_options --enable-debug
ac_add_options --enable-debug-modules
ac_add_options --enable-debugger-info-modules
ac_add_options --enable-crash-on-assert
%else
ac_add_options --disable-debug
ac_add_options --disable-debug-modules
ac_add_options --disable-logging
ac_add_options --enable-optimize="%{rpmcflags}"
%endif
%if %{with tests}
ac_add_options --enable-tests
%else
ac_add_options --disable-tests
%endif
%if %{with gnomeui}
ac_add_options --enable-gnomeui
%else
ac_add_options --disable-gnomeui
%endif
%if %{with gnomevfs}
ac_add_options --enable-gnomevfs
%else
ac_add_options --disable-gnomevfs
%endif
ac_add_options --disable-freetype2
ac_add_options --disable-installer
ac_add_options --disable-javaxpcom
ac_add_options --disable-updater
ac_add_options --disable-old-abi-compat-wrappers
ac_add_options --enable-application=calendar
ac_add_options --enable-default-toolkit=gtk2
ac_add_options --enable-ipcd
ac_add_options --enable-ldap-experimental
ac_add_options --enable-storage
ac_add_options --enable-system-cairo
ac_add_options --enable-xft
ac_add_options --with-distribution-id=org.pld-linux
ac_add_options --with-system-jpeg
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-png
ac_add_options --with-system-zlib
ac_add_options --with-default-mozilla-five-home=%{_libdir}/%{name}
EOF

%{__make} -j1 -f client.mk build \
	CC="%{__cc}" \
	CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
cd mozilla
install -d \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_libdir}} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}

%{__make} -C obj-%{_target_cpu}/xpinstall/packager stage-package \
	DESTDIR=$RPM_BUILD_ROOT \
	MOZ_PKG_APPDIR=%{_libdir}/%{name} \
	PKG_SKIP_STRIP=1

# move arch independant ones to datadir
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome $RPM_BUILD_ROOT%{_datadir}/%{name}/chrome
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults $RPM_BUILD_ROOT%{_datadir}/%{name}/defaults
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/extensions $RPM_BUILD_ROOT%{_datadir}/%{name}/extensions
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/greprefs $RPM_BUILD_ROOT%{_datadir}/%{name}/greprefs
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/icons $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/js $RPM_BUILD_ROOT%{_datadir}/%{name}/js
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/res $RPM_BUILD_ROOT%{_datadir}/%{name}/res
ln -s ../../share/%{name}/chrome $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome
ln -s ../../share/%{name}/defaults $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults
ln -s ../../share/%{name}/extensions $RPM_BUILD_ROOT%{_libdir}/%{name}/extensions
ln -s ../../share/%{name}/greprefs $RPM_BUILD_ROOT%{_libdir}/%{name}/greprefs
ln -s ../../share/%{name}/icons $RPM_BUILD_ROOT%{_libdir}/%{name}/icons
ln -s ../../share/%{name}/js $RPM_BUILD_ROOT%{_libdir}/%{name}/js
ln -s ../../share/%{name}/res $RPM_BUILD_ROOT%{_libdir}/%{name}/res

sed 's,@LIBDIR@,%{_libdir},' %{SOURCE1} > $RPM_BUILD_ROOT%{_bindir}/%{name}
ln -s %{name} $RPM_BUILD_ROOT%{_bindir}/sunbird
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
cp -a calendar/sunbird/app/mozicon128.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png

# it will complain on startup about bad chrome install otherwise
touch $RPM_BUILD_ROOT%{_datadir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/chrome.manifest

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/dependentlibs.list

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
for d in chrome defaults extensions greprefs icons js res; do
	if [ -d %{_libdir}/%{name}/$d ] && [ ! -L %{_libdir}/%{name}/$d ]; then
		install -d %{_datadir}/%{name}
		mv %{_libdir}/%{name}/$d %{_datadir}/%{name}/$d
	fi
done
exit 0

#%post
#%{_sbindir}/firefox-chrome+xpcom-generate

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/sunbird

%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/components
%attr(755,root,root) %{_libdir}/%{name}/components/*.so
%{_libdir}/%{name}/components/*.js
%{_libdir}/%{name}/components/*.xpt

%{_libdir}/%{name}/LICENSE
%{_libdir}/%{name}/README.txt

%attr(755,root,root) %{_libdir}/%{name}/*.so
%attr(755,root,root) %{_libdir}/%{name}/*.sh
%attr(755,root,root) %{_libdir}/%{name}/m*
%attr(755,root,root) %{_libdir}/%{name}/s*
%attr(755,root,root) %{_libdir}/%{name}/reg*
%attr(755,root,root) %{_libdir}/%{name}/x*

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/chrome
%{_datadir}/%{name}/defaults
%{_datadir}/%{name}/greprefs
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/js
%{_datadir}/%{name}/res
%dir %{_datadir}/%{name}/extensions
# the signature of the default theme
%{_datadir}/%{name}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}
%{_datadir}/%{name}/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}

%{_pixmapsdir}/%{name}.png
%{_desktopdir}/%{name}.desktop

# symlinks
%{_libdir}/%{name}/chrome
%{_libdir}/%{name}/defaults
%{_libdir}/%{name}/extensions
%{_libdir}/%{name}/greprefs
%{_libdir}/%{name}/icons
%{_libdir}/%{name}/js
%{_libdir}/%{name}/res

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-sunbird.spec,v $
Revision 1.26  2008-04-07 11:40:37  arekm
- up to 0.8

Revision 1.25  2007-12-25 18:34:58  glen
- rel 3 (2 for ac)

Revision 1.24  2007-10-30 21:54:07  sls
- package %{_datadir}/%{name} dir
- rel. 2

Revision 1.23  2007/10/28 10:42:45  glen
- rel 1

Revision 1.22  2007/10/28 09:55:19  glen
- sodeps cleanup
- do not force native-uconv, makes Components.classes["@mozilla.org/intl/scriptableunicodeconverter"] available

Revision 1.21  2007/10/28 00:38:05  glen
- sync options and bconds with firefox

Revision 1.20  2007/10/27 22:50:41  glen
- add desktop
- always include en-US locale

Revision 1.19  2007/10/27 22:22:41  glen
- install startup wrapper
- moved arch-independat stuff to datadir
- -devel dropped

Revision 1.18  2007/10/27 21:42:05  glen
- noauto stuff from mozilla-firefox.spec

Revision 1.17  2007/10/27 21:30:35  glen
- install and package files

Revision 1.16  2007/10/27 20:35:07  glen
- 0.7, but install fails

Revision 1.15  2007/07/07 00:06:59  qboosh
- note version number in changelog

Revision 1.14  2007/06/29 15:15:59  spider
- just fetch source
  [0.5]

Revision 1.13  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.11  2006/11/03 09:25:09  qboosh
- some files and configure updates
- needs cairo 1.2 (cairo_image_surface_get_data)

Revision 1.10  2006/11/02 16:20:05  glen
- use nss that has nss-config

Revision 1.9  2006/11/02 15:12:52  qboosh
- eh, everything is built with -O

Revision 1.8  2006/11/02 15:09:43  qboosh
- final 0.3

Revision 1.7  2006/10/07 13:33:33  qboosh
- no longer firefox

Revision 1.6  2006/09/08 22:02:49  cieciwa
-

Revision 1.5  2006/09/08 10:30:59  cieciwa
- use old style configure.

Revision 1.4  2006/09/08 10:22:17  cieciwa
- make new configure.

Revision 1.3  2006/09/08 10:16:04  cieciwa
- next try to build

Revision 1.2  2006/07/28 11:15:51  cieciwa
- fixed source location,
- updated MD5 sum.

Revision 1.1  2006/07/13 09:32:28  cieciwa
- initial, based on mozilla-firefox.spec.
